# Uses of Interface
com.ocient.transport.SimplexTransportFactory

Packages that use SimplexTransportFactory
Package
Description
com.ocient.jdbc
com.ocient.transport
com.ocient.util

## Uses of SimplexTransportFactory in com.ocient.jdbc

Fields in com.ocient.jdbc with type parameters of type SimplexTransportFactory
Modifier and Type
Field
Description
`static final Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>>`
XGConnection.`DEFAULT_TRANSPORT_FACTORIES`
Method parameters in com.ocient.jdbc with type arguments of type SimplexTransportFactory
Modifier and Type
Method
Description
`static XGConnection`
XGConnection.`TEST_createConnection(XGConnectionInfo info, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`
`static XGConnection`
XGConnection.`TEST_createConnection(String user, String pwd, String ip, int portNum, String url, String database, String protocolVersion, XGConnection.Tls tls, CaselessProperties hint_properties, Map<String,SimplexTransportFactory<? extends SimplexTransport<io.netty.buffer.ByteBuf,io.netty.buffer.ByteBuf>>> transportFactories)`

## Uses of SimplexTransportFactory in com.ocient.transport

Classes in com.ocient.transport that implement SimplexTransportFactory
Modifier and Type
Class
Description
`static class`
`JavaNetOcientWireV1Transport.Factory`
`static class`
`NettyOcientWireV1Transport.Factory`

## Uses of SimplexTransportFactory in com.ocient.util

Classes in com.ocient.util that implement SimplexTransportFactory
Modifier and Type
Class
Description
`class`
`MockOcientCluster`